# Channels

All about EESy channels.

 - [POST /sessions/{session}/channels](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_channel_service_openapi/channels/postchannel.md): Creates a new EESy channel for a workflow. Each channel owns a dedicated instance of the EESy message service. The channel service launches the instance as part of channel creation. Resource allocat
 - [GET /sessions/{session}/channels](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_channel_service_openapi/channels/listchannels.md): Obtains a list of channels. The list may be limited to specific objects by means of a label selector. A label selector is a comma-separated list of label name/value pairs. For instance, the selector
 - [GET /sessions/{session}/channels/{name}](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_channel_service_openapi/channels/getchannel.md): Obtains a specific channel by name.
 - [DELETE /sessions/{session}/channels/{name}](https://developer.slb.com/solutions/engine-ecosystem/apis/eesy_channel_service_openapi/channels/deletechannel.md): Initiates deletion of an EESy channel. Deletion is an asynchronous operation as it takes some time to tear down resources that are associated with the channel. The channel will have its deletion time
